#ifndef __XNEW_H
#define __XNEW_H
/* some systems have smaal stack... */
/* XNEW.H by Disastry */

#include <malloc.h>
#include "usuals.h"
#include "fileio.h"

#ifdef SMALL_STACK
#define XNEW(name,type,size)    type *name = xmalloc(sizeof(type) * (size))
#define XNEW0(name,type)        type *name = xmalloc(sizeof(type))
#define XDEL(name)              if (name) free(name)
#else
#define XNEW(name,type,size)    type name[size]
#define XNEW0(name,type)        type name##_tmpX, *name=&name##_tmpX
#define XDEL(x)
#endif

#endif /* __XNEW_H */
